﻿using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace TestProject
{
    /// <summary>
    /// LINQ 확장
    /// </summary>
    public static class LinqExtensions
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 관측 가능 컬렉션 구하기 - ToObservableCollection<TItem>(sourceEnumerable)

        /// <summary>
        /// 관측 가능 컬렉션 구하기
        /// </summary>
        /// <typeparam name="TItem">항목 타입</typeparam>
        /// <param name="sourceEnumerable">소스 열거 가능 목록</param>
        /// <returns>관착 가능 컬렉션</returns>
        public static ObservableCollection<TItem> ToObservableCollection<TItem>(this IEnumerable<TItem> sourceEnumerable)
        {
            ObservableCollection<TItem> collection = new ObservableCollection<TItem>();

            foreach(TItem item in sourceEnumerable)
            {
                collection.Add(item);
            }

            return collection;
        }

        #endregion
    }
}